<script lang="ts">
  export let reverse: boolean = false;
  export let subtext: string;
  export let subtext_color: string;
  export let header: string;
  export let content: string;
</script>

<div class="main" class:reverse={reverse} class:notreverse={!reverse}>
  <div class="text">
    <p class="header" style="color: {subtext_color};">{subtext}</p>
    <h3>{header}</h3>
    <p>{content}</p>
  </div>
  <div class="extra">
    <slot/>
  </div>
</div>

<style lang="scss">
  .reverse {
    flex-direction: row-reverse;
  }

  .notreverse {
    flex-direction: row;
  }

  .main {
    display: flex;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    gap: 2rem;
    max-width: 90rem;
    margin-left: auto;
    margin-right: auto;
    padding-left: 2rem;
    padding-right: 2rem;

    & .text {
      flex-basis: 25%;

      & .header {
	font-weight: 600;
      }

      & h3 {
	font-size: 2.25rem;
	line-height: 2.5rem;
      }

      & p {
	font-size: 1rem;
      }
    }

    & .extra {
      justify-content: center;
      flex-basis: 75%;
      max-width: 100%;
    }
  }

  @media only screen and (max-width: 800px) {
    .reverse {
      flex-direction: column;
      align-items: center;
    }
    .notreverse {
      flex-direction: column;
      align-items: center;
    }
  }
</style>
